- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
VSDInternalStream Class Reference

`#include <VSDInternalStream.h>`

Inheritance diagram for VSDInternalStream:

## Public Member Functions
| VSDInternalStream (WPXInputStream *input, unsigned long size, bool compressed=false)
| VSDInternalStream (const std::vector< unsigned char > &buffer)
| VSDInternalStream (const unsigned char *buffer, size_t bufferLength)
| ~VSDInternalStream ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, WPX_SEEK_TYPE seekType)
long | tell ()
bool | atEOS ()
unsigned long | getSize () const

## Private Member Functions
| VSDInternalStream (const VSDInternalStream &)
VSDInternalStream & | operator= (const VSDInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

VSDInternalStream::VSDInternalStream | ( | WPXInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = `false`
| ) |  |

VSDInternalStream::VSDInternalStream | ( | const std::vector< unsigned char > & | buffer | ) |

VSDInternalStream::VSDInternalStream | ( | const unsigned char * | buffer,
|  | size_t | bufferLength
| ) |  |

VSDInternalStream::~VSDInternalStream | ( |  | ) |
| inline

VSDInternalStream::VSDInternalStream | ( | const VSDInternalStream & |  | ) |
| private

## Member Function Documentation

bool VSDInternalStream::atEOS | ( |  | ) |

WPXInputStream* VSDInternalStream::getDocumentOLEStream | ( | const char * |  | ) |
| inline

unsigned long VSDInternalStream::getSize | ( |  | ) | const
| inline

Referenced by libvisio::VSDParser::handleStream().

bool VSDInternalStream::isOLEStream | ( |  | ) |
| inline

VSDInternalStream& VSDInternalStream::operator= | ( | const VSDInternalStream & |  | ) |
| private

const unsigned char * VSDInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int VSDInternalStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

long VSDInternalStream::tell | ( |  | ) |

## Member Data Documentation

std::vector<unsigned char> VSDInternalStream::m_buffer
| private

Referenced by atEOS(), getSize(), read(), seek(), and VSDInternalStream().

volatile long VSDInternalStream::m_offset
| private

Referenced by atEOS(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- VSDInternalStream.h
- VSDInternalStream.cpp